summaryrefslogtreecommitdiff
path: root/qa/306
diff options
context:
space:
mode:
Diffstat (limited to 'qa/306')
-rwxr-xr-xqa/30632
1 files changed, 32 insertions, 0 deletions
diff --git a/qa/306 b/qa/306
new file mode 100755
index 0000000..61f13ec
--- /dev/null
+++ b/qa/306
@@ -0,0 +1,32 @@
+#!/bin/sh
+# PCP QA Test No. 306
+# test pmpost
+# - pmpost "message"
+# - check that "message" is in $PCP_LOG_DIR/NOTICES
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+
+_day=`date | $PCP_AWK_PROG '{ print $1 }'`
+_month=`date | $PCP_AWK_PROG '{ print $2 }'`
+_date=`date | $PCP_AWK_PROG '{ print $3 }'`
+
+$sudo $PCP_BINADM_DIR/pmpost "QA test $seq"
+tail -1 $PCP_LOG_DIR/NOTICES | sed -e 's/[0-9]*:[0-9]* //'
+
+# success, all done
+status=0
+exit